﻿@font-face {
    font-family: 'Roboto';
    src: url('../../fonts/Roboto-VariableFont_wdth,wght.ttf'), url('../../fonts/Roboto-VariableFont_wdth,wght.ttf');
    font-weight: 200;
    font-style: normal;
}

@font-face {
    font-family: 'Roboto-bold';
    src: url('../../fonts/Roboto-VariableFont_wdth,wght.ttf'), url('../../fonts/Roboto-VariableFont_wdth,wght.ttf');
    font-weight: 400;
    font-style: normal;
}

form {
    overflow-x: hidden;
    margin-right: 0;
    margin-left: 0;
    padding-bottom: 0 !important;
    font-weight: 400;
    font-family: "Roboto-bold", -apple-system, BlinkMacSystemFont, "Segoe UI", Roboto, "Helvetica Neue", Arial, sans-serif !important;
}

.mt-4 {
    padding-bottom: 20px;
}

.form-check-input {
    vertical-align: middle;
    margin-top: 0;
}

.file-card {
    border: 1px solid #ddd;
    border-radius: 8px;
    padding: 8px;
    display: flex;
    align-items: center;
    justify-content: space-between;
    background: #f9f9f9;
}

.file-name {
    font-size: 14px;
    font-weight: 500;
    margin-left: 5px;
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
    max-width: 200px;
}

#file-error {
    display: none;
    font-size: 11px !important;
}

.remove-btn {
    cursor: pointer;
    color: red;
    font-size: 18px;
    margin-left: 10px;
}

.alert-success {
    background-color: rgba(11, 188, 90, 0.2);
    border-color: rgba(11, 188, 90, 0.4);
}

.main-wrapper {
    min-height: calc(100vh - 120px);
    display: flex;
    align-items: center;
    justify-content: center;
    padding-bottom: -20px;
}

.mb-4 {
    margin-bottom: 0 !important;
}

.caja {
    padding: 20px;
}

.mt-3 {
    margin-top: 0.1rem !important;
}

.selects {
    padding-left: 1.5%;
    padding-right: 1%;
}

.custom-card {
    border-radius: 20px;
    border: 1px thin black;
    box-shadow: 0 10px 30px rgba(0, 0, 0, 0.05);
    background-color: #ffffff;
    display: flex;
    justify-content: center;
    flex-wrap: wrap;
}

.alerta {
    border-color: #0bbc5a;
    background-color: #0bbc5a;
}

.shadow-sm {
    box-shadow: 0 0.125rem 0.50rem rgba(0, 0, 0, 0.15) !important;
}

.form-text-custom {
    font-size: 0.75rem;
    font-style: italic;
    margin-top: 0.5rem;
    display: block;
}

.consulta {
    text-decoration: none;
    color: #0bbc5a !important;
}

.custom-card-header::before {
    content: '';
    position: absolute;
    bottom: -50px;
    left: 50%;
    transform: translateX(-50%);
    width: 200px;
    height: 200px;
    border-radius: 50%;
    opacity: 0.3;
}

.form-title {
    color: #ffffff;
    font-size: 2rem;
    max-width: 80%;
}

.primero {
    padding-top: 20;
}

.form-subtitle {
    color: #0bbc5a;
    border-bottom: 2px solid #e6e9f5;
    padding-bottom: 10px;
    font-size: 1.5rem;
}

.form-control, .form-select {
    border-radius: 12px;
    border: 1px solid #ddd;
    transition: border-color 0.3s ease, box-shadow 0.3s ease;
    font-size: 0.9rem;
    text-align:left;
}

    .form-control:focus, .form-select:focus {
        border-color: #0bbc5a;
        box-shadow: #0bbc5a;
    }

.btn-primary {
    background-color: #0bbc5a;
    border: none;
    border-radius: 50px;
    padding: 12px 60px;
    color: #ffffff;
    text-transform: uppercase;
    letter-spacing: 1px;
    transition: transform 0.2s ease-in-out, background-color 0.2s ease-in-out;
}

    .btn-primary:hover {
        background-color: #828590;
        transform: translateY(-2px);
    }

.form-label {
    font-size: 0.9rem !important;
    color: #555;
    margin-bottom: 8px;
    text-align:left !important;
}

.form-check-input:checked {
    background-color: #0bbc5a;
    border-color: #0bbc5a;
}

hr.my-5 {
    border-top: 1px solid #e0e0e0;
}

.g-4, .gy-4 {
    --bs-gutter-y: 1.5rem;
    padding: 20px !important;
}